package org.openjdk.gcbench.alloc.ratelimited;

import org.openjdk.gcbench.util.ratelimit.MultiTokenBucket;
import org.openjdk.jmh.annotations.*;

import java.util.concurrent.TimeUnit;

@BenchmarkMode(Mode.Throughput)
@OutputTimeUnit(TimeUnit.SECONDS)
@State(Scope.Benchmark)
public class Objects {

    @Param({"1"})
    int rate;

    private MultiTokenBucket bucket;

    @Setup
    public void setup() {
        bucket = new MultiTokenBucket(rate);
    }

    @Benchmark
    public Object test() {
        bucket.limit();
        return new Object();
    }

}
